package com.zxhl.uc.page

import android.app.Application
import com.zxhl.cms.AppContext
import com.zxhl.cms.common.base.BaseChildApplication

class ApplicationMain : BaseChildApplication() {

    override fun onCreate() {
        super.onCreate()
        //给底层library设置context
        AppContext.init(applicationContext)
    }

    /**
     * 作为library时需要初始化的内容
     */
    override fun onCreateAsLibrary(application: Application) {
        super.onCreateAsLibrary(application)

    }
}